import java.lang.Math.*;



public class Bicicleta{

    double x = 0;
    double y = 0;
    double giro = 0;

    public void girar(double n){
        this.giro=n;
    }
    
    public void avanzar(double n){
        //Halla un vector con origen en el eje de coordenadas
        //Utilizando sus coordenadas polares, que en este caso
        //son el giro y la cantidad a avanzar
        double nuevoX = n * Math.cos(this.giro);
        double nuevoY = n * Math.sin(this.giro);

        //Suma los vectores para obtener la nueva posición
        //del punto
        this.x += nuevoX;
        this.y += nuevoY;
    }
    
}